Bug 1546752 - powerline: powerline requires both Python 2 and Python 3
Summary: powerline: powerline requires both Python 2 and Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: powerline
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-02-19 14:08 UTC by Iryna Shcherbina
Modified: 2018-03-13 23:12 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-13 23:12:25 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-02-19 14:08:21 UTC
The powerline (2.6-5.fc28) RPM requires both Python 2 and Python 3:

$  dnf --disablerepo=* --enablerepo=rawhide repoquery --requires powerline | grep python
/usr/bin/python2
/usr/bin/python3
python(abi) = 3.6
python3

This happened due to recently introduced shebangs mangling [0], and you might see the warnings in the build log:

> + /usr/lib/rpm/redhat/brp-mangle-shebangs
> *** WARNING: mangling shebang in ./usr/share/powerline/awesome/powerline-awesome.py from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
> *** WARNING: mangling shebang in ./usr/share/powerline/i3/powerline-i3.py from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
> *** WARNING: mangling shebang in ./usr/lib/python3.6/site-packages/powerline/bindings/lemonbar/powerline-lemonbar.py from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
> *** WARNING: mangling shebang in ./usr/lib/python3.6/site-packages/powerline/bindings/bar/powerline-bar.py from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!

The executables contain `#!/usr/bin/env python` shebang, which is forbidden by the guidelines and is automatically mangled to `#!/usr/bin/python2` during build. Please fix the shebang to be `#!/usr/bin/python3` explicitly [1] or remove the executable bit from the above files if is not needed.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

[0] https://pagure.io/packaging-committee/issue/738#comment-490366
[1] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#fixing-shebangs

Comment 1 Fedora End Of Life 2018-02-20 15:31:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Fedora Update System 2018-02-28 10:38:37 UTC
powerline-2.6-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a07ac6bb95

Comment 3 Fedora Update System 2018-02-28 18:09:47 UTC
powerline-2.6-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a07ac6bb95

Comment 4 Fedora Update System 2018-03-13 23:12:25 UTC
powerline-2.6-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.